<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#7F00FF" ALINK="#FF0000">

<P><!-------TITLE------></P>

<TABLE BORDER="0" WIDTH="100%">
    <TR>
        <TD ALIGN="left">
			<A HREF="http://www.esrf.fr/" TARGET=new>
			<IMG SRC="http://controle/icons/esrf_logo.gif" BORDER=0></A>
		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.elettra.trieste.it/" TARGET=new>
			<IMG SRC="http://controle/icons/elettra_logo.gif" BORDER=0></A>

		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.synchrotron-soleil.fr/" TARGET=new>
			<IMG SRC="http://controle/icons/soleil_logo.gif" BORDER=0></A>
		</Td>
        <TD ALIGN="right">
			<A HREF="http://www.cells.es/" TARGET=new>
			<IMG SRC="http://controle/icons/alba_logo.gif" BORDER=0></A>
		</Td>
    	 <Td>
			<H2><FONT COLOR="#7F00FF">
			<Center><A HREF="http://www.esrf.fr/Infrastructure/Computing/tango/" TARGET="_top">
					 TANGO </a> <Br> Device Server
			</Center></FONT>
    	</Td>
    </TR>
</TABLE>

<HR WIDTH="100%"></H5>
<Br>
<center>
<h1>
TANGO Device Server for testing generic clients		<Br>
Device Commands Description 		<Br> <Br>
TangoTest Class	<Br>
</h1>
<b>
Revision:  - Author: nleclercq
</b>
</center>


<Center>
<Br><Br>
<A Href="DevCommandsFrame.html"> More Details on commands.... </a><Br>
<Br> <Br>
<Table Border=2 Cellpadding=3 CELLSPACING=0 WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td COLSPAN=3> <Font Size=+2><Center><b>Device Commands for Operator Level</b></td></Font></Center>
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td><Center><b>Command name</b></td></Center>
<Td><Center><b>Argument In</b></td></Center>
<Td><Center><b>Argument Out</b></td></Center>
<Tr><Td><b>Init</b></Td>
<Td><Font Size=-1>DEV_VOID</Font></Td>
<Td><Font Size=-1>DEV_VOID</Font></Td>
<Tr><Td><b>State</b></Td>
<Td><Font Size=-1>DEV_VOID</Font></Td>
<Td><Font Size=-1>DEV_STATE</Font></Td>
<Tr><Td><b>Status</b></Td>
<Td><Font Size=-1>DEV_VOID</Font></Td>
<Td><Font Size=-1>CONST_DEV_STRING</Font></Td>
<Tr><Td><b>DevVoid</b></Td>
<Td><Font Size=-1>DEV_VOID</Font></Td>
<Td><Font Size=-1>DEV_VOID</Font></Td>
<Tr><Td><b>DevBoolean</b></Td>
<Td><Font Size=-1>DEV_BOOLEAN</Font></Td>
<Td><Font Size=-1>DEV_BOOLEAN</Font></Td>
<Tr><Td><b>DevShort</b></Td>
<Td><Font Size=-1>DEV_SHORT</Font></Td>
<Td><Font Size=-1>DEV_SHORT</Font></Td>
<Tr><Td><b>DevUShort</b></Td>
<Td><Font Size=-1>DEV_USHORT</Font></Td>
<Td><Font Size=-1>DEV_USHORT</Font></Td>
<Tr><Td><b>DevLong</b></Td>
<Td><Font Size=-1>DEV_LONG</Font></Td>
<Td><Font Size=-1>DEV_LONG</Font></Td>
<Tr><Td><b>DevULong</b></Td>
<Td><Font Size=-1>DEV_ULONG</Font></Td>
<Td><Font Size=-1>DEV_ULONG</Font></Td>
<Tr><Td><b>DevFloat</b></Td>
<Td><Font Size=-1>DEV_FLOAT</Font></Td>
<Td><Font Size=-1>DEV_FLOAT</Font></Td>
<Tr><Td><b>DevDouble</b></Td>
<Td><Font Size=-1>DEV_DOUBLE</Font></Td>
<Td><Font Size=-1>DEV_DOUBLE</Font></Td>
<Tr><Td><b>DevString</b></Td>
<Td><Font Size=-1>DEV_STRING</Font></Td>
<Td><Font Size=-1>DEV_STRING</Font></Td>
<Tr><Td><b>DevVarCharArray</b></Td>
<Td><Font Size=-1>DEVVAR_CHARARRAY</Font></Td>
<Td><Font Size=-1>DEVVAR_CHARARRAY</Font></Td>
<Tr><Td><b>DevVarShortArray</b></Td>
<Td><Font Size=-1>DEVVAR_SHORTARRAY</Font></Td>
<Td><Font Size=-1>DEVVAR_SHORTARRAY</Font></Td>
<Tr><Td><b>DevVarUShortArray</b></Td>
<Td><Font Size=-1>DEVVAR_USHORTARRAY</Font></Td>
<Td><Font Size=-1>DEVVAR_USHORTARRAY</Font></Td>
<Tr><Td><b>DevVarLongArray</b></Td>
<Td><Font Size=-1>DEVVAR_LONGARRAY</Font></Td>
<Td><Font Size=-1>DEVVAR_LONGARRAY</Font></Td>
<Tr><Td><b>DevVarULongArray</b></Td>
<Td><Font Size=-1>DEVVAR_ULONGARRAY</Font></Td>
<Td><Font Size=-1>DEVVAR_ULONGARRAY</Font></Td>
<Tr><Td><b>DevVarFloatArray</b></Td>
<Td><Font Size=-1>DEVVAR_FLOATARRAY</Font></Td>
<Td><Font Size=-1>DEVVAR_FLOATARRAY</Font></Td>
<Tr><Td><b>DevVarDoubleArray</b></Td>
<Td><Font Size=-1>DEVVAR_DOUBLEARRAY</Font></Td>
<Td><Font Size=-1>DEVVAR_DOUBLEARRAY</Font></Td>
<Tr><Td><b>DevVarStringArray</b></Td>
<Td><Font Size=-1>DEVVAR_STRINGARRAY</Font></Td>
<Td><Font Size=-1>DEVVAR_STRINGARRAY</Font></Td>
<Tr><Td><b>DevVarLongStringArray</b></Td>
<Td><Font Size=-1>DEVVAR_LONGSTRINGARRAY</Font></Td>
<Td><Font Size=-1>DEVVAR_LONGSTRINGARRAY</Font></Td>
<Tr><Td><b>DevVarDoubleStringArray</b></Td>
<Td><Font Size=-1>DEVVAR_DOUBLESTRINGARRAY</Font></Td>
<Td><Font Size=-1>DEVVAR_DOUBLESTRINGARRAY</Font></Td>
<Tr><Td><b>SwitchStates</b></Td>
<Td><Font Size=-1>DEV_VOID</Font></Td>
<Td><Font Size=-1>DEV_VOID</Font></Td>



</Table></Center>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3> ESRF - Software Engineering Group </H3>
</Center>
</body>
</html>
